POST V1/ProAdminPaymentsReconcile.{ext}/WFReconciliationSearch

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.BankReconciliationReport
NameDescriptionTypeAdditional information
SubAccount

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

Month

No description available

string

None.

Year

No description available

string

None.

CurrencyCode

No description available

string

None.

DCIndicator

No description available

string

None.

TransType

No description available

string

None.

TransStatus

No description available

string

None.

CheckNbr

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "subAccount": "sample string 1",
  "fromDate": "sample string 2",
  "toDate": "sample string 3",
  "month": "sample string 4",
  "year": "sample string 5",
  "currencyCode": "sample string 6",
  "dcIndicator": "sample string 7",
  "transType": "sample string 8",
  "transStatus": "sample string 9",
  "checkNbr": "sample string 10"
}

application/xml, text/xml

Sample:
<BankReconciliationReport xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <CheckNbr>sample string 10</CheckNbr>
  <CurrencyCode>sample string 6</CurrencyCode>
  <DCIndicator>sample string 7</DCIndicator>
  <FromDate>sample string 2</FromDate>
  <Month>sample string 4</Month>
  <SubAccount>sample string 1</SubAccount>
  <ToDate>sample string 3</ToDate>
  <TransStatus>sample string 9</TransStatus>
  <TransType>sample string 8</TransType>
  <Year>sample string 5</Year>
</BankReconciliationReport>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.